[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Should the X packages pre-depend on awk?

Hi Jörg!

Am Donnerstag, den 31.07.2008, 09:27 +0000 schrieb Jörg Sommer:
> recently, I've installed a new system with a minimal configuration. Then
> I've imported my old package selection with dpkg --set-selections and run
> apt-get dselect-upgrade. This replaced the mawk package by the gawk
> package and installed some X package at the same time.
> [...]
> But x11-common and many other X packages use awk in their maintainer
> scripts. [...]
> So, must these packages pre‐depend on awk?

No. They can rely on awk to be installed. awk is a dependency of package
base-files, which is essential. By that, awk is always installed and
x11-common can use awk in the maintainer scripts without the need to
declare a dependency.

Both the gawk and mawk packages provide the virtual package awk, so as
long as base-files is concerned, either one satisfies the dependency.

Best regards

Attachment: signature.asc
Description: Dies ist ein digital signierter Nachrichtenteil

Reply to: